--- title: "signature (Service)" slug: "dpgw-ig-signature-service-5-12" updated: 2026-01-14T12:10:28Z published: 2026-01-14T17:11:00Z canonical: "docs.onespan.com/dpgw-ig-signature-service-5-12" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # signature (Service) > This command is deprecated! Use [MdlActivate (service) [v2]](/sec/docs/dpgw-ig-mdlactivate-service-v2-5-12) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The signature service validates the confirmation code generated by the authenticator and finalizes the activation process. ## URL https://dpgateway_host:dpgateway_port/signature ## Request Parameters to the service are passed via the URI query component. | signature parameters | | --- | | Parameter name | Data type | Description | | registrationID | String | Required. The unique identifier of a user for a given activation process. | | signature | String | Required. The signature generated by the mobile application using the Digipass SDK. This is needed for validation purposes. | ### Example POST https://192.0.2.1:11080/signature?registrationID=GtNr4OTi&signature=123456 ## Response | signature return values | | --- | | Return value | Data type | Description | | returnCode | Integer | The return code provided by OneSpan Authentication Server. 0 is returned in case of success. | | message | String | A JSON value that contains the status message in case of an error. | ### Example ```json {  "returnCode": 0 } ```